question about compiling SimpleApp

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

question about compiling SimpleApp

dachuan
Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.
Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

dennyglee
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.
Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

dachuan
Thanks for your reply.

I have changed scalaVersion := "2.10" to scalaVersion := "2.10.3" then everything is good.

So this is a documentation bug :)

dachuan.


On Tue, Feb 18, 2014 at 6:50 PM, Denny Lee <[hidden email]> wrote:
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.



--
Dachuan Huang
Cellphone: 614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210
Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

Andrew Ash
Dachuan,

Where did you find that faulty documentation?  I'd like to get it fixed.

Thanks!
Andrew


On Tue, Feb 18, 2014 at 4:15 PM, dachuan <[hidden email]> wrote:
Thanks for your reply.

I have changed scalaVersion := "2.10" to scalaVersion := "2.10.3" then everything is good.

So this is a documentation bug :)

dachuan.


On Tue, Feb 18, 2014 at 6:50 PM, Denny Lee <[hidden email]> wrote:
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.



--
Dachuan Huang
Cellphone: <a href="tel:614-390-7234" value="+16143907234" target="_blank">614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210

Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

Nan Zhu
oh~Sorry, Andrew

I just made the PR, it’s a error in site config.yml

Best,


-- 
Nan Zhu

On Tuesday, February 18, 2014 at 7:16 PM, Andrew Ash wrote:

Dachuan,

Where did you find that faulty documentation?  I'd like to get it fixed.

Thanks!
Andrew


On Tue, Feb 18, 2014 at 4:15 PM, dachuan <[hidden email]> wrote:
Thanks for your reply.

I have changed scalaVersion := "2.10" to scalaVersion := "2.10.3" then everything is good.

So this is a documentation bug :)

dachuan.


On Tue, Feb 18, 2014 at 6:50 PM, Denny Lee <[hidden email]> wrote:
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.



--
Dachuan Huang
Cellphone: <a href="tel:614-390-7234" value="+16143907234" target="_blank">614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210


Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

dachuan


On Tue, Feb 18, 2014 at 7:24 PM, Nan Zhu <[hidden email]> wrote:
oh~Sorry, Andrew

I just made the PR, it’s a error in site config.yml

Best,


-- 
Nan Zhu

On Tuesday, February 18, 2014 at 7:16 PM, Andrew Ash wrote:

Dachuan,

Where did you find that faulty documentation?  I'd like to get it fixed.

Thanks!
Andrew


On Tue, Feb 18, 2014 at 4:15 PM, dachuan <[hidden email]> wrote:
Thanks for your reply.

I have changed scalaVersion := "2.10" to scalaVersion := "2.10.3" then everything is good.

So this is a documentation bug :)

dachuan.


On Tue, Feb 18, 2014 at 6:50 PM, Denny Lee <[hidden email]> wrote:
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.



--
Dachuan Huang
Cellphone: <a href="tel:614-390-7234" value="+16143907234" target="_blank">614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210





--
Dachuan Huang
Cellphone: 614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210
Reply | Threaded
Open this post in threaded view
|

Re: question about compiling SimpleApp

Mayur Rustagi
In reply to this post by Andrew Ash



On Tue, Feb 18, 2014 at 4:16 PM, Andrew Ash <[hidden email]> wrote:
Dachuan,

Where did you find that faulty documentation?  I'd like to get it fixed.

Thanks!
Andrew


On Tue, Feb 18, 2014 at 4:15 PM, dachuan <[hidden email]> wrote:
Thanks for your reply.

I have changed scalaVersion := "2.10" to scalaVersion := "2.10.3" then everything is good.

So this is a documentation bug :)

dachuan.


On Tue, Feb 18, 2014 at 6:50 PM, Denny Lee <[hidden email]> wrote:
What version of Scala are you using?  For example, if you’re using Spark Incubating 0.9, its dependency is Scala 2.10.3.  If you can update the simple.sbt to indicate 2.10.3 (as opposed 2.10) then that might do the trick. 

HTH!

On February 18, 2014 at 11:21:46 AM, dachuan ([hidden email]) wrote:

Hello,

A quick question about my problem in compiling SimpleApp,

sbt package reports

[info] Resolving org.scala-lang#scala-library;2.10 ...
[warn]  module not found: org.scala-lang#scala-library;2.10
...
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  ::          UNRESOLVED DEPENDENCIES         ::
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
[warn]  :: org.scala-lang#scala-library;2.10: not found
[warn]  :: org.scala-lang#scala-compiler;2.10: not found
[warn]  ::::::::::::::::::::::::::::::::::::::::::::::
sbt.ResolveException: unresolved dependency: org.scala-lang#scala-library;2.10: not found
unresolved dependency: org.scala-lang#scala-compiler;2.10: not found

This might be a common problem, please help me with this.

thanks,
dachuan.



--
Dachuan Huang
Cellphone: <a href="tel:614-390-7234" value="+16143907234" target="_blank">614-390-7234
2015 Neil Avenue
Ohio State University
Columbus, Ohio
U.S.A.
43210